Endpoints for integrating Ason into your platform. API Reference also available as Swagger UI.
Queries the payouts
path Parameters
tenantIdThe tenant id
payrollIdThe payroll id
payrunPeriodIdThe payrun period id
query Parameters
filterThe OData filter expression (with support for attribute fields)
orderByThe OData order-by expression (with support for attribute fields)
resultThe query result type: items, count or items with count (default: result items)
The query result type
selectThe OData field selection expression
skipThe number of items in the queried collection that are to be skipped
statusThe object status (default: all status)
The object status
topThe number of items in the queried collection
Headers
Content-TypeThe request content type
Queries the payouts › Responses
The payouts of the payrun period matching the query, their count, or both, depending on result.
countThe query result count
The query result items
Create a payout for the period.
path Parameters
tenantIdThe tenant id
payrollIdThe payroll id
payrunPeriodIdThe payrun period id
Headers
Content-TypeThe request content type
Create a payout for the period. › Request Body
valueDateaccountIbanCreate a payout for the period. › Responses
The created payout.
idThe unique object id (immutable)
statusThe object status
createdThe date which the API object was created (immutable)
updatedThe date which the API object was last updated (immutable)
valueDateThe value date of the payout
accountIbanThe bank account to settle the payout.
The payout entries.
A document
Get a payout
path Parameters
tenantIdThe tenant id
payrollIdThe payroll id
payrunPeriodIdThe payrun period id
payoutIdThe payout id
Headers
Content-TypeThe request content type
Get a payout › Responses
The payout.
idThe unique object id (immutable)
statusThe object status
createdThe date which the API object was created (immutable)
updatedThe date which the API object was last updated (immutable)
valueDateThe value date of the payout
accountIbanThe bank account to settle the payout.
The payout entries.
A document
Cancels a payout
path Parameters
tenantIdThe tenant id
payrollIdThe payroll id
payrunPeriodIdThe payrun period id
payoutIdThe payout id to cancel
Headers
Content-TypeThe request content type
Cancels a payout › Responses
The cancelled payout.
idThe unique object id (immutable)
statusThe object status
createdThe date which the API object was created (immutable)
updatedThe date which the API object was last updated (immutable)
valueDateThe value date of the payout
accountIbanThe bank account to settle the payout.
The payout entries.
A document
Gets the pain file for the payout
path Parameters
tenantIdThe tenant id
payrollIdThe payroll id
payrunPeriodIdThe payrun period id
payoutIdThe payout id to cancel
Headers
Content-TypeThe request content type
Gets the pain file for the payout › Responses
The pain file of the payout as a file download, or as JSON when Accept is application/json.
idThe unique object id (immutable)
statusThe object status
createdThe date which the API object was created (immutable)
updatedThe date which the API object was last updated (immutable)
nameThe document name
contentThe document content
contentTypeThe document content type
Custom attributes
Queries the payrun periods
path Parameters
tenantIdThe tenant id
payrollIdThe payroll id
query Parameters
filterThe OData filter expression (with support for attribute fields)
loadRelatedIf the related objects should be loaded (default = false)
orderByThe OData order-by expression (with support for attribute fields)
resultThe query result type: items, count or items with count (default: result items)
The query result type
selectThe OData field selection expression
skipThe number of items in the queried collection that are to be skipped
statusThe object status (default: all status)
The object status
topThe number of items in the queried collection
Headers
Content-TypeThe request content type
Queries the payrun periods › Responses
The payrun periods matching the query, their count, or both, depending on result. With loadRelated, each period includes its related data.
countThe query result count
The query result items
Gets the payrun period
path Parameters
tenantIdThe tenant id
payrollIdThe payroll id
payrunPeriodIdThe payrun period id
Headers
Content-TypeThe request content type
Gets the payrun period › Responses
The payrun period with its related data.
idThe unique object id (immutable)
statusThe object status
createdThe date which the API object was created (immutable)
updatedThe date which the API object was last updated (immutable)
periodStartThe period start
periodEndThe period end
periodStatusReflects the status of the payrun period
documentsGeneratedAtTimestamp of when the documents got generated
closedAtTimestamp of when the payrun period got closed.
The period entries
processingStatusReflects the processing status of the payrun period
Gets the relevant event values for the payrun period entry
path Parameters
tenantIdThe tenant id
payrollIdThe payroll id
payrunPeriodIdThe payrun period id
payrunPeriodEntryIdThe payrun period entry id
query Parameters
languageThe language
The payroll languages
Headers
Content-TypeThe request content type
Gets the relevant event values for the payrun period entry › Responses
The relevant event values of the payrun period entry.
caseFieldNameThe associated case field name
idThe unique object id (immutable)
statusThe object status
createdThe date which the API object was created (immutable)
updatedThe date which the API object was last updated (immutable)
caseChangeIdThe case change id (immutable)
divisionIdThe division id (immutable) Mandatory for case values with local value scope Ason.Payroll.Api.Model.CaseField.ValueScope
employeeIdThe employee id, mandatory for employee case changes
caseNameThe associated case name
The localized case names
displayCaseNameThe localized case name
The localized case field names
displayCaseFieldNameThe localized case field name
valueTypeThe payroll value types for cases
valueThe case value (JSON format)
numericValueThe case numeric value
cancellationDateCancellation date
startThe starting date for the value
endThe ending date for the value
forecastThe forecast name
tagsThe case value tags
Custom attributes
Queries controlling data of open payrun period
path Parameters
tenantIdThe tenant id
payrollIdThe payroll id
query Parameters
languageThe language
The payroll languages
Headers
Content-TypeThe request content type
Queries controlling data of open payrun period › Responses
The controlling data of the open payrun period, or empty controlling data when no period is open.
Closes the open period
path Parameters
tenantIdThe tenant id
payrollIdThe payroll id
payrunPeriodIdThe payrun period id
Headers
Content-TypeThe request content type
Closes the open period › Responses
The payrun period was closed.
Gets the open payrun period documents
path Parameters
tenantIdThe tenant id
payrollIdThe payroll id
Headers
Content-TypeThe request content type
Gets the open payrun period documents › Responses
The documents of the open payrun period, generated on request and sorted by name.
idThe unique object id (immutable)
statusThe object status
createdThe date which the API object was created (immutable)
updatedThe date which the API object was last updated (immutable)
nameThe document name
contentThe document content
contentTypeThe document content type
Custom attributes
Gets the payrun period documents
path Parameters
tenantIdThe tenant id
payrollIdThe payroll id
payrunPeriodIdThe payrun period id
Headers
Content-TypeThe request content type
Gets the payrun period documents › Responses
The documents of the payrun period, sorted by name.
idThe unique object id (immutable)
statusThe object status
createdThe date which the API object was created (immutable)
updatedThe date which the API object was last updated (immutable)
nameThe document name
contentThe document content
contentTypeThe document content type
Custom attributes
Gets the document for the payrun period
path Parameters
tenantIdThe tenant id
payrollIdThe payroll id
payrunPeriodIdThe payrun period id
documentIdThe document id
query Parameters
reportThe report to generate based on the document (default: null)
variantThe variant of the report (if applicable) (default: null)
Headers
Content-TypeThe request content type
Gets the document for the payrun period › Responses
The document as a file download, rendered as PDF when report is set, or as JSON when Accept is application/json.
Gets the payrun period entry documents
path Parameters
tenantIdThe tenant id
payrollIdThe payroll id
payrunPeriodIdThe payrun period id
payrunPeriodEntryIdThe payrun period entry id
Headers
Content-TypeThe request content type
Gets the payrun period entry documents › Responses
The documents of the payrun period entry, sorted by name.
idThe unique object id (immutable)
statusThe object status
createdThe date which the API object was created (immutable)
updatedThe date which the API object was last updated (immutable)
nameThe document name
contentThe document content
contentTypeThe document content type
Custom attributes
Gets the document for the payrun period entry
path Parameters
tenantIdThe tenant id
payrollIdThe payroll id
payrunPeriodIdThe payrun period id
payrunPeriodEntryIdThe payrun period entry id
documentIdThe document id
query Parameters
reportThe report to generate based on the document (default: null)
variantThe variant of the report (if applicable) (default: null)
Headers
Content-TypeThe request content type
Gets the document for the payrun period entry › Responses
The document as a file download, rendered as PDF when report is set, or as JSON when Accept is application/json.
